View Issue Details

IDProjectCategoryView StatusLast Update
0000016Main CAcert Websitewebsite contentpublic2013-01-13 13:41
Reporterhomer Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2006 
Summary0000016: #0018: Wrong or missing information on CAcert pages
DescriptionRegarding: Serveral pages.

    *

      On https://www.cacert.org/wot.php?id=4 the user is asked to download the TTP.pdf file that doesn't exist anymore (or at least has been substituted by the php generated files. This text should be changed accordingly.
    *

      https://www.cacert.org/wot.php?id=11 does not explain why form is empty. Please add information how to assure an organisation or link to a FAQ page.
    *

      On https://www.cacert.org/disputes.php?id=3 the abuse link isn't working. Can you set up a dummy page saying that this page is under construction or just remove the link for the time being.
    *

      https://www.cacert.org/account.php?id=9 writes "To remove the default account you must set another verified account as the default." but there is nothing like a default / standard account for domain names.
    *

      https://www.cacert.org/wot.php?id=9&userid=XXX writes "Sorry, I was unable to locate that user." but this happens also to users that just don't want to be contacted. As this page is linked on the My Points page the message should be changed to "... or the user doesn't want to be contacted."
    *

      www/index/0.php and other pages: "certificates expires" is wrong.
    *

      email:

It's *to* (not till) your heart's (not hearts') content. I'm fussy :)

On Thu, 23 Jun 2005 09:01, CAcert Support wrote:
> Thanks for signing up with CAcert.org, below is the link you need to open
> to verify your account. Once your account is verified you will be able to
> start issuing certificates till your hearts' content!
Additional Information    *

      Submitted by Chris
    *

      Chris set status to Open, 2005-06-19
TagsNo tags attached.
Reviewed by
Test Instructions

Activities

2005-09-14 23:03

 

bug16.patch (1,017 bytes)   
--- cacert/www/wot/11.php.orig	2005-09-14 14:02:38.980097459 +0200
+++ cacert/www/wot/11.php	2005-09-14 14:14:14.179799410 +0200
@@ -14,6 +14,9 @@
 */ ?>
 <?
 ?>
+<p><?=_("This page is a work in Progress. Please see this ")?><a href="http://wiki.cacert.org/wiki/OrganizationEntities"><?=("article on the Wiki")?></a><?=(" for more information about Organizational Support.")?></a></p>
+
+
 <table align="center" valign="middle" border="0" cellspacing="0" cellpadding="0" class="wrapper">
   <tr>
     <td colspan="2" class="title"><?=_("Organisational Assurance")?></td>
--- cacert/www/account/9.php.orig	2005-09-14 14:31:17.737486428 +0200
+++ cacert/www/account/9.php	2005-09-14 14:34:15.233963771 +0200
@@ -52,6 +52,3 @@
 </table>
 <input type="hidden" name="oldid" value="<?=$id?>">
 </form>
-<p>
-<?=_("Please Note: You can not set an unverified account as a default account, and you can not remove a default account. To remove the default account you must set another verified account as the default.")?>
-</p>
bug16.patch (1,017 bytes)   

Mr_Smoke

2005-09-14 23:04

reporter   ~0000019

The patch above should (at least temporarily) fix issues 2 and 4 listed above.

2005-09-14 23:29

 

bug16-2.patch (1,709 bytes)   
--- cacert/www/wot/4.php.orig	2005-09-14 12:33:35.019378122 +0200
+++ cacert/www/wot/4.php	2005-09-14 12:41:08.799675456 +0200
@@ -16,7 +16,7 @@
 
 <p><?=_("A trusted 3rd party is simply someone in your country that is responsible for witnessing signatures and ID documents. This role is covered by many different titles such as public notary, justice of the peace and so on. Other people are allowed to be authoritative in this area as well, such as bank managers, accountants and lawyers.")?></p>
 
-<p><?=_("You can become a CAcert Assurer by seeking out trusted 3rd parties. You will also need to download and print out a copy of the TTP.pdf and fill in your sections. You will need to produce a photo copy of your ID, which the person assuring you will inspect against the originals. Once they are satisfied the documents appear to be genuine they need to sign the back of the photo copies, and fill in their sections of the TTP document. Once you have had your ID verified by 2 different people, pop the copies + forms in an envelope and post them to:")?></p>
+<p><?=_("You can become a CAcert Assurer by seeking out trusted 3rd parties. You will also need to download and print out a copy of the TTP Form (found under \"CAcert Web of Trust\") and fill in your sections. You will need to produce a photo copy of your ID, which the person assuring you will inspect against the originals. Once they are satisfied the documents appear to be genuine they need to sign the back of the photo copies, and fill in their sections of the TTP document. Once you have had your ID verified by 2 different people, pop the copies + forms in an envelope and post them to:")?></p>
 
 <p>CAcert Inc.<br>
 P.O. Box 81<br>
bug16-2.patch (1,709 bytes)   

Mr_Smoke

2005-09-14 23:29

reporter   ~0000020

the 16-2 patch takes care of issue #1 in the report

duane

2006-08-17 04:49

developer   ~0000595

First point was fixed by applying the patch.


wot.php?id=11 has been hidden, we need an RFE for this as it's a separate bug


we need content for disputes.php?id=3, also hidden until content/code exists


account.php?id=9 was fixed in another bug


I'm not sure what to do about wot.php?id=9, I intentionally set it to display that error message as a way of discouraging brute force attacks by guessing user ids...


pages/index/0.php has been fixed, there was no other locations found with that wording...


email wording was updated...

Issue History

Date Modified Username Field Change
2005-09-06 19:18 homer New Issue
2005-09-14 23:03 Mr_Smoke File Added: bug16.patch
2005-09-14 23:04 Mr_Smoke Note Added: 0000019
2005-09-14 23:29 Mr_Smoke File Added: bug16-2.patch
2005-09-14 23:29 Mr_Smoke Note Added: 0000020
2005-12-08 20:44 evaldo Status new => @30@
2006-08-17 04:11 duane Status @30@ => needs work
2006-08-17 04:11 duane Assigned To => duane
2006-08-17 04:44 duane Assigned To duane => bluec
2006-08-17 04:49 duane Status needs work => solved?
2006-08-17 04:49 duane Fixed in Version => production
2006-08-17 04:49 duane Resolution open => fixed
2006-08-17 04:49 duane Note Added: 0000595
2007-10-24 06:01 evaldo Assigned To bluec =>
2007-10-24 06:01 evaldo Status solved? => closed
2013-01-13 13:41 Werner Dworak Fixed in Version => 2006